Skip to main content
GET
/
accounts
/
{id}
Get account
curl --request GET \
  --url https://cookiechimp.com/api/v1/accounts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "abc123",
  "name": "example.com",
  "allowed_domains": [
    "example.net",
    "example.org"
  ],
  "owner_id": "xyz123",
  "onboarding_status": "live",
  "visitor_stats": {
    "comparison": "vs. Last 30 days",
    "statistics": {
      "views": {
        "count": 1471,
        "rate_of_change": 3.37
      },
      "consents": {
        "count": 213,
        "rate_of_change": 25.29
      },
      "unique_visitors": {
        "count": 895,
        "rate_of_change": 42.06
      }
    },
    "raw_data": {
      "views": {
        "current_period": 1471,
        "previous_period": 1423
      },
      "consents": {
        "current_period": 213,
        "previous_period": 170
      },
      "unique_visitors": {
        "current_period": 895,
        "previous_period": 630
      }
    }
  },
  "created_at": "2022-12-20T18:45:00Z",
  "updated_at": "2023-01-10T19:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token obtained from the login endpoint or the dashboard

Path Parameters

id
string
required

ID of the resource

Response

200 - application/json

Account

id
string
read-only

Unique identifier for the group

name
string
read-only

Domain of the account

allowed_domains
string[]
read-only

List of allowed domains the the script will run on

owner_id
string
read-only

ID of the account user that owns the account

onboarding_status
string
read-only

The status of the account, where:

  • account_created: The account has been created.
  • vendors_setup: Categories, services or TCF vendors have been set up.
  • code_installed: The script has been installed on the user's website.
  • inactive: Less than 10 visitors to the user's website in the last 30 days.
  • live: The account is live and operational.
visitor_stats
object
read-only

Visitor statistics for the account

created_at
string<date-time>
read-only

Date and time when the account was created

updated_at
string<date-time>
read-only

Date and time when the account was last updated